package com.ktg.iscs.mapper;

import com.ktg.iscs.domain.vo.homePage.HomePageLoanVO;
import com.ktg.iscs.domain.vo.homePage.OngoingJobVO;
import com.ktg.iscs.domain.vo.statistics.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 物资柜开关门记录Mapper接口
 *
 * @author cgj
 * @date 2025-02-14
 */
@Mapper
public interface StatisticsMapper {

    List<CabinetStatisticsVO> getCabinetStatistics(@Param(value = "startTime") String startTime, @Param(value = "endTime") String endTime);

    List<MaterialsStatusStatisticsVO> getMaterialsStatusStatistics(@Param(value = "startTime") String startTime, @Param(value = "endTime") String endTime);

    List<MaterialsLoanStatisticsVO> getMaterialsLoanStatistics(@Param(value = "startTime") String startTime, @Param(value = "endTime") String endTime);

    List<MaterialsChangeStatisticsVO> getMaterialsChangeStatistics(@Param(value = "startTime") String startTime, @Param(value = "endTime") String endTime);

    List<UserLoanStatisticsVO> getUserLoanStatistics(@Param(value = "startTime") String startTime, @Param(value = "endTime") String endTime);

    List<DayLoanStatisticsVO> getDayLoanStatistics(@Param(value = "startTime") String startTime, @Param(value = "endTime") String endTime);

    List<OngoingJobVO> getOngoingJobList();

    List<HomePageLoanVO> getLoanList(@Param(value = "startTime") String startTime, @Param(value = "endTime") String endTime);


}
